Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# tooltips.hh File Reference

A GtkTooltips C++ wrapper interface. More...

`#include <xfc/gtk/object.hh>`
`#include <gtk/gtktooltips.h>`
`#include <xfc/gtk/inline/tooltips.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::TooltipsData
    A GtkTooltipsData C++ wrapper class. More...
- class Xfc::Gtk::Tooltips
    A GtkTooltips C++ wrapper class. More...

## Detailed Description

A GtkTooltips C++ wrapper interface.

Provides Tooltips, an object that contains a message that appears next to a widget when the mouse pointer is held over it for a short amount of time.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3